Page cover
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create Environment

Creates an environment for your team to access and use within seconds.

post

Creates an environment for your team to access and use. Returns the network RPC URL, chainId, name, status, id, delivered synchronously to be used right away. Network values are "ethereum, polygon or moonbeam"

Body
namestringRequired
chainIdnumberRequired
networksstring[]Required
Responses
201

Created

No content

post/environments
POST /v1/environments HTTP/1.1
Host: api.nameless.io
Content-Type: application/json
Accept: */*
Content-Length: 47

{
  "name": "text",
  "chainId": 1,
  "networks": [
    "text"
  ]
}

No content

curl --location --request POST 'https://api.nameless.io/v1/environments' \
--header 'x-api-key: <YOUR API KEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "Nameless",
    "networks": ["ethereum"],
    "chainId": 1234
}'
{
    "data": {
        "id": "asBkqVqynvkJddXNc0Oog",
        "accountId": "sodM22-OIixbRuajh8hE0",
        "createdAt": 1683114747172,
        "chainId": 1234,
        "accountType": "organization",
        "name": "Nameless",
        "namespace": "[namespace]",
        "accounts": {},
        "status": "PENDING",
        "networks": {
            "ethereum": {
                "url": "https://8543fc0f-121c-452f-9628-925dccc108d9.ethereum.nameless.io",
                "status": "PENDING"
            }
        }
    },
    "message": "Environment \"Nameless\" (asBkqVqynvkJddXNc0Oog) is being created...",
    "success": true
}

Last updated

Was this helpful?